Bug 1547821 - while creating new hosts RHEVM assocation of compute profile doesn't show correct network for the Cluster
Summary: while creating new hosts RHEVM assocation of compute profile doesn't show cor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.2.14
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 03:17 UTC by Harshad More
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:15 UTC
Foreman Issue Tracker 24522 None None None 2018-08-02 11:55:14 UTC

Description Harshad More 2018-02-22 03:17:50 UTC
Description of problem:

For a specific RHEVM Compute resource, the correct networks are not showing for a Cluster. If changed the Cluster to an alternative and save, then revert back then able to see the correct network. But when the compute profile is refreshed the same issue occurs .


Version-Release number of selected component (if applicable):

RHEV 3.6
Satellite 6.2.12

How reproducible:

Only at client environment


Actual results:

Compute profile not able to fetch correct information on GUI. 

Expected results:

Compute profile should be able to fetch correct information on GUI. 


Additional info:

> We observed compute resource profile is not working as expected only when worked through GUI.
> Able to create a new host correctly when performed manually
> hammer DB and API has correct information related to the compute profile
> Issue started facing couple of months after upgrade to satellite 6.2.12 when renamed host groups for better housekeeping.

Comment 6 Shira Maximov 2018-08-02 11:55:13 UTC
Created redmine issue https://projects.theforeman.org/issues/24522 from this bug

Comment 8 pm-sat@redhat.com 2018-08-14 14:19:24 UTC
Upstream bug assigned to mshira@redhat.com

Comment 9 pm-sat@redhat.com 2018-08-14 14:19:26 UTC
Upstream bug assigned to mshira@redhat.com

Comment 10 pm-sat@redhat.com 2018-09-03 12:19:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24522 has been resolved.

Comment 12 Lukáš Hellebrandt 2019-01-17 11:54:15 UTC
This BZs description is unclear and there are no reproducer steps at all. However, I think the meaning is: "In WebUI, can't list and save cluster and network settings in compute profile settings". The reproducer would be:

1) Have a RHEV with at least two clusters in one datacenter and with some network interfaces in each cluster
2) Create a compute profile.
3) Edit settings for that RHEV.
4) In the edit page, select the first cluster
5) Add a network. Only the networks in that cluster should be listed.
6) Save
7) Open for edit again
8) Verify the settings (cluster and network) have been saved and are shown correctly
9) Hosts -> Create host, fill the form (create necessary entities, like domain), use that compute profile. Submit.
10) In the RHEV, verify the correct network is set for the created VM. Verify the same for the created host in the Satellite.
11) Repeat from 3) for the second cluster

VERIFIED using these steps on Sat 6.5 snap 11

Comment 15 errata-xmlrpc 2019-05-14 12:37:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.